Per-buyer auto-approval is retired
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/buyer-auto-approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/buyer-auto-approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/buyer-auto-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"storefrontId": "<string>",
"buyerCustomerId": 123,
"buyerName": "<string>",
"autoApproveEnabled": true,
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdByCustomerId": 123,
"updatedByCustomerId": 123,
"policyBypassCount": 4503599627370495,
"lastPolicyBypassAt": "2023-11-07T05:31:56Z"
}
],
"total": 4503599627370495,
"eligibleBuyers": [
{
"buyerCustomerId": 4503599627370495,
"buyerName": "<string>",
"mediaBuyCount": 4503599627370495,
"lastMediaBuyAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Per-buyer auto-approval is retired
deprecated
Deprecated V2 endpoint retained unchanged while existing clients migrate. New clients should use the storefront-wide approval policy and normal review workflow.
GET
/
buyer-auto-approvals
Per-buyer auto-approval is retired
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/buyer-auto-approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/buyer-auto-approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/buyer-auto-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"storefrontId": "<string>",
"buyerCustomerId": 123,
"buyerName": "<string>",
"autoApproveEnabled": true,
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdByCustomerId": 123,
"updatedByCustomerId": 123,
"policyBypassCount": 4503599627370495,
"lastPolicyBypassAt": "2023-11-07T05:31:56Z"
}
],
"total": 4503599627370495,
"eligibleBuyers": [
{
"buyerCustomerId": 4503599627370495,
"buyerName": "<string>",
"mediaBuyCount": 4503599627370495,
"lastMediaBuyAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Response
Per-buyer auto-approval is retired